致命错误:找不到类'plgContentWidgetkit_Content'(Fatal error: Class 'plgContentWidgetkit_Content' not found in)

228 IT屋

My website http://gutenberginstitute.com was developped using joomla and yootheme "venice". However, I have download and installed Widgetkit (free version so far) to test it on my site, and I can't make it work. It seems there are some plugins that are not installed, and if I put ... [widgetkit id=1] ... in some article, for example...

http://gutenberginstitute.com/index.php/es/our-teachers-es

it's not converted into the widget, but it shows just "[widgetkit id=1]"

On the other hand, if I use the module that gets created after the installation of widgetkit, in the "Modules" tab, I get an error when trying to show the article:

Fatal error: Class 'plgContentWidgetkit_Content' not found in {..}public_html/administrator/components/com_widgetkit/helpers/system.php on line 312

Anyone know what could be here happening?

解决方案

This is already fixed. It was related to different uikit.js version (2.18) and templates (2.20) and yoo_theme out of date. Update your yoo_theme version and all the rest will be fixed automatically!

我的网站 http://gutenberginstitute.com 是使用joomla和yoothemevenice开发的。但是,我已经下载并安装了Widgetkit(目前为止的免费版本),以便在我的网站上进行测试,但我无法使其正常运行。似乎有些插件没有安装,如果我在一些文章中放入
...
[widgetkit id = 1]
...
,例如。 ..



http: //gutenberginstitute.com/index.php/es/our-teachers-es



它没有转换成小部件,但只显示[widgetkit] id = 1]



另一方面,如果我使用在安装widgetkit之后创建的模块,在模块选项卡中,我收到错误当试图显示文章时:




致命错误:在
{..} public_html / administrator中找不到类'plgContentWidgetkit_Content'第312行的/components/com_widgetkit/helpers/system.php




任何人都知道这里会发生什么?


解决方案

这已经修复了。它与不同的uikit.js版本(2.18)和模板(2.20)以及yoo_theme过时有关。更新你的yoo_theme版本,所有其余版本将自动修复!


本文地址:IT屋 » 致命错误:找不到类'plgContentWidgetkit_Content'